Method: networks.cdnConfigs.batchUpdate

Batch updates CdnConfig objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/cdnConfigs:batchUpdate

Path parameters

Parameters
parent

string

Required. The parent resource where CdnConfigs will be updated. Format: networks/{networkCode} The parent field in the UpdateCdnConfigRequest must match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (UpdateCdnConfigRequest)
    }
  ]
}
Fields
requests[]

object (UpdateCdnConfigRequest)

Required. The CdnConfig objects to update. A maximum of 100 objects can be updated in a batch.

Response body

Response object for cdnConfigs.batchUpdate method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "cdnConfigs": [
    {
      object (CdnConfig)
    }
  ]
}
Fields
cdnConfigs[]

object (CdnConfig)

The CdnConfig objects updated.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

UpdateCdnConfigRequest

Request object for cdnConfigs.patch method.

JSON representation
{
  "cdnConfig": {
    object (CdnConfig)
  },
  "updateMask": string
}
Fields
cdnConfig

object (CdnConfig)

Required. The CdnConfig to update.

The CdnConfig's name is used to identify the CdnConfig to update.

updateMask

string (FieldMask format)

Optional. The list of fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".